PETSc version 3.15.5
Fix/Edit manual page

# PetscOptionsStringArray

Gets an array of string values for a particular option in the database. The values must be separated with commas with no intervening spaces. Logically Collective on the communicator passed in PetscOptionsBegin()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsStringArray(const char opt[],const char text[],const char man[],char *value[],PetscInt *nmax,PetscBool  *set)

### Input Parameters

| opt | - the option one is seeking
| text | - short string describing option
| man | - manual page for option
| nmax | - maximum number of strings

### Output Parameter

| value | - location to copy strings
| nmax | - actual number of strings found
| set | - PETSC_TRUE if found, else PETSC_FALSE

### Notes

The user should pass in an array of pointers to char, to hold all the strings returned by this function.

The user is responsible for deallocating the strings that are returned. The Fortran interface for this routine is not supported.

Must be between a PetscOptionsBegin() and a PetscOptionsEnd()

### See Also

PetscOptionsGetInt(), PetscOptionsGetReal(),
PetscOptionsHasName(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList()

### Level

beginner

### Location

src/sys/objects/aoptions.c

### Examples

src/ts/tutorials/ex11.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages